xfree86 (3.3.1-1) unstable; urgency=low

  * New upstream release -- mostly includes driver support;
    programs/Xserver/hw/xfree86/CHANGELOG has some details (140 entries
    since the 3.3 release.)
  * debian/create-arch/xdevel5: fix typo removing libz.a.
  * site.def.l5: resync with patched config/cf/site.def.

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Fri, 17 Oct 1997 00:33:20 -0400

xfree86 (3.3-7) unstable; urgency=low

  * debian/xlib5-shlibs: reference 3.3-0, so stuff built with the altdev
    actually work with the old public release. [aj]
  * debian/create-arch-xbase: add changelog to xbase /usr/doc
  * debian/create-arch-xlib5: add changelog to xlib6 /usr/doc; add X*DB
    and a symlink to the xbase /locale directory (should fix
    netscape. [#13281])
  * debian/fix-xlib5-shlibs: put lib*.so.6 symlinks directly into the
    libc5 tree, so that the xlib6/xlib6-altdev scripts work.
  * debian/rules: run fix-* at the end of build rule.
  * debian/create-arch-xdevel5: put include files at the right depth.
  * config/cf/lnxLib.rules: always use -lc for libc5 and libc6, regardless
    of what H.J. Lu rants about in the comments.
  * debian/create-arch-xdevel: ditch libz.a.
  * debian/create-arch-xdevel5: ditch libz.a.  Fix the paths for shared
    libs vs. real libs in altdev package [#13518].

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Sun,  5 Oct 1997 01:53:17 -0400

xfree86 (3.3-6) unstable; urgency=low

  * debian/control: add conflicts for xlib6g, xlib6g-dev [david].
    Add xprt package.
  * debian/create-arch-xprt: new, based on create-arch-xnest, generates
    the xprt package with the X Print Server.
  * debian/create-arch-xslib5: use /usr/arch-linuxlibc1/lib [david].
  * debian/create-arch-xdevel5: add comments; drop .so links into
    /usr/arch-linuxlibc1/lib where they belong [david].
    Fix location of target includes. [#13018]
  * debian/create-arch-xlib5: doesn't need /usr/arch-linuxlibc1 at all, so
    don't create them.
  * debian/xserver-wrapper.c: drop privileges on alternate -config, even
    if we do pass the security check, to prevent using the error handling
    to read the first line of any protected file.
  * debian/control: xmanpages should recommend xlib6g-dev [#13037]
  * debian/rules: copy site.def.l5 into libc5 tree [#13018]
  * site.def.l5: site.def with ProjectRoot hard coded to /usr/i486-linuxlibc1.
    This shouldn't be a cross-build problem, as I'm pretty sure only the
    x86 targets even use libc1 at all (though there still needs to be a
    way to notice this from debian/rules, it's an easy enough hand-patch
    to get a build working.) [#13018]
  * debian/create-arch-xslib5, debian/create-arch-xlib5,
    debian/create-arch-xdevel5: with the right site.def, all the files get
    dropped in xtree5 in the right place, so we don't need to move them,
    just copy them.
  
 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Fri, 19 Sep 1997 02:23:37 -0400

xfree86 (3.3-5) unstable; urgency=low

  * Port to libc6 with backwards compat support.
  * debian/rules: brute force "-old" rules to do the build of a copy of
    lib and config using the backwards-compatibility compiler.
    Set LinuxCLibMajorVersion and LinuxClibMinorVersion explicitly, both
    for libc5 *and* libc6 builds.
  * config/cf/linux.cf: add -D_REENTRANT to StandardDefines, where it
    belongs, in both libc5 and libc6 cases.
  * config/cf/lnxLib.rules: set BaseShLibReqs to -lc for libc6, regardless
    of the comments about it there.
  * debian/control: ditch "provides: elf-x11r6lib" as it's a dead virtual
    package and we have to drop it some time.  Add xlib6g, xlib6g-dev,
    xlib6-altdev, xslibg, and mention libc5 in the packages that use it.
  * config/imake/imakemdep.h (cpp_argv): nail LinuxCLibMajorVersion and
    LinuxClibMinorVersion in so they get compiled in correctly.

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Mon, 18 Aug 1997 11:58:17 -0400

xfree86 (3.3-4) stable unstable; urgency=low

  * debian/xbase-writeconfig (etc/X11/xdm/Xresources): refer correctly to
    Debian GNU/Linux [#11307].
    (etc/X11/xdm/Xstartup_0): use "set -e" to exit if Xstartup fails, as
    it does if /etc/nologin is found [#11128].
  * debian/create-arch-xbase: add xserverrc to xinit config files.  Don't
    actually supply one, so don't put it in xbase-conffiles. [#11240]
  * programs/xinit/startx.cpp: exec xinit to save a shell (but only if not
    macII or sun, which need to do cleanup.) [#11240]

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Wed, 16 Jul 1997 17:25:11 -0400

xfree86 (3.3-3) stable unstable; urgency=low

  * debian/xserver-postinst: fix tty0 and console devices together -- the
    server now uses tty0 instead of console for VC setup, but they need to
    be updated *together* so we don't just make a symlink loop.

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Thu, 19 Jun 1997 16:32:20 -0400

xfree86 (3.3-2) unstable; urgency=low

  * debian/control: make xfnt* depend: on xbase >= 3.3-1, so they get the
    right mkfontdir.  Make xserver-vga16 also depend >= 3.3-1, instead of
    3.2-0, so it can work at config time [#10487], and xfnt75, since it
    specifically tries to use the 75dpi symbol fonts. [#10507]  Update
    xlib6-dev to depend on xlib6 3.3-1 as well.
  * debian/control: confict/replace xterm-color.
  * debian/create-arch-xbase: point /usr/X11R6/lib/X11/xserver to
    /etc/X11/xserver, for new SecurityPolicy config file (in xext)...
  * debian/xbase-writeconfig: generate SecurityPolicy, and...
  * debian/xbase-dirs: create the directory for it, and...
  * debian/xbase-conffiles: make SecurityPolicy a conffile. [#10471]
  * programs/Xserver/hw/xfree86/common/xf86Config.c (findConfigFile): look
    for /etc/X11/XF86Config, per debian style.

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Thu, 12 Jun 1997 22:59:52 -0400

xfree86 (3.3-1) unstable; urgency=low

  * New upstream release -- including support for more hardware, most or
    all of the known Xt buffer overrun fixes, and at least some of the
    debian-generated patches...
  * migrated patches:
  * config/cf/X11.tmpl: add clean rule for xkbcomp
  * config/cf/linux.cf: set SetTtyGroup
  * config/cf/lnxLib.rules: nuke -rpath settings in ExtraLoadFlags
  * config/cf/site.df: set TermcapLibrary to -lncurses
  * config/cf/xf86site.def: enable tk 4.2, tcl 7.6, InstallXserverSetUID
    NO, BuildDynamicLoading YES, ForceNormalLib YES.
  * config/imake/Imakefile: nuke Makefile.proto on clean.
  * config/util/mkdirhier.sh: elide empty path elements.
  * doc/man/Xt/XtOpenApp.man: fix missing indirection in XtAppContext.
  * lib/xtrans/Xtranssock.c: set sticky bit on directories.
  * programs/Xserver/hw/xfree86/XF86Setup/phase1.tcl: set correct
    XF86Config path.
  * programs/Xserver/hw/xfree86/XF86Setup/phase5.tcl: don't move symlink,
    debian uses a wrapper.
  * programs/Xserver/hw/xfree86/common/Mach32.c: raise
    MAX_MACH32_16BPP_CLOCK to 80000 from 67500. (???)
  * programs/Xserver/hw/xfree86/doc/Imakefile: don't lose VideoModes.doc
  * programs/Xserver/hw/xfree86/os-support/linux/lnx_init.c: correct root
    message to match our use of a server wrapper.
  * programs/Xserver/hw/xfree86/xf86config/xf86config.c: correct default
    mouse tty, don't move symlink, fix quoting problems, handle corrrect
    debian path for XF86Config.
  * programs/rstart/rstart.man: document use of fqdn.
  * programs/xauth/process.c: handle early abort cleanly.
  * programs/xdm/policy.c: report load if available.
  * programs/xf86dga/Imakefile, dga.man: don't install dga setuid, and
    document this.
  * programs/xinit/startx.cpp: set up xauth with mcookie.
  * other patches:
  * debian/xfnt-postrm: less alarming message needed here too.
  * debian/xbase-configure: don't strip entries from Xservers, even if the
    user isn't running xdm.
  * debian/xserver-postinst: initialize oldxserverpresent so first time
    install doesn't complain [thok#001]
  * debian/rules: duplicate xdm as xdm-shadow (USESHADOW is the upstream
    default now, but we can try to be backwards compatible)
  * debian/copyright: update for 3.3.
  * debian/xlib-shlibs: update to 3.3.
  * debian/xbase-preinst: check for xdm-shadow as well
  * debian/create-font: fonts are now .gz not .Z
  * debian/create-arch-xbase: rstartd no longer in /usr/bin.
  
 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Fri,  6 Jun 1997 13:33:00 -0400

xfree86 (3.2-6) frozen unstable; urgency=low

  * debian/xserver-wrapper.c: fix sense of error check for -showconfig.
  * debian/create-arch-xbase: don't re-enable setuid bit on dga.
  * debian/xbase-postinst: warn about setuid bit on dga.
  * debian/xfnt-postinst: less alarming message about running mkfontdir.
  * debian/xlib6-postinst: run ldconfig. [#9704]

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Sun, 11 May 1997 01:05:56 -0400

xfree86 (3.2-5) frozen unstable; urgency=low

  * Fix as many bugs as safely practical for 1.3 release.
  * programs/Xserver/os/connection.c (AuthAudit): use ntohs to print
    sin_port correctly in auth reject message. [#1796]
  * debian/create-arch-xdevel, debian/create-arch-xbase: move imake, xmkmf
    into xdevel (since they're useless without the config files that are
    there, and they're evil.) [#3073]
  * debian/xbase-preinst: check if xdm, xfs are already running (using
    start-stop-daemon --stop --signal 0) and don't prompt if they aren't
    found. [#3095]
  * programs/rstart/rstart, programs/rstart/rstart.man: use hostname --long,
    and document this. [#3267]
  * debian/xbase/X11/Xsession: filter comments out of
    /etc/X11/window-managers. [#3734]
  * debian/xbase/X11/xdm/Xstartup: drop obey-nologin, require
    ignore-nologin to permit user login even if /etc/nologin is present,
    and display it anyway (but don't exit). [#3734]
  * programs/xconsole/xconsole.c (inputReady): call OpenConsole again when
    read of input stream fails.  Should now handle syslogd HUP. [#3751]
  * programs/xinit/startx.cpp: use mcookie to generate MIT-MAGIC_COOKIE-1
    cookie value for display specified. [#4233]
  * config/util/mkdirhier.sh: eliminate empty path components. [#4509]
  * programs/xauth/process.c (auth_finalize): don't attempt to print
    xauth_filename if it hasn't been set yet. [#4518]
  * debian/xserver-postinst: check for default X server already set,
    default to no change if so, default to setting it if not. [#4737]
  * programs/Xserver/hw/xfree86/xf86config/xf86config.c (screen_configuration):
    add missing quotes to config_modesline8bpp setting. [#5281]
  * programs/xterm/main.c (spawn): if tgetent doesn't actually fill in a
    termcap entry (like the ncurses fake termcap emulation does) then
    don't bother to set the size in it, and don't stuff it into the
    environment, since if TERMCAP isn't there things will get the size
    correctly from the tty. [#5971]
  * programs/Xserver/hw/xfree86/doc/Imakefile (OTHERDOCS): since
    README.Config refers to it, uncomment VideoModes.doc so it gets
    installed. [#6609]
  * debian/xbase-preinst: check for n* or N* for stopping xdm/xfs [#6703]
  * config/cf/Imake.rules (MakeDirectories): add semicolon between fi and
    done for correctness (and compatibility with new bash) [#7226]
  * debian/create-arch-xbase: install x11perfcomp helper scripts [#7398]
  * programs/xf86dga/Imakefile: don't install dga demo setuid [#7910]
  * debian/xserver-wrapper.c: permit non-privileged -showconfig [#8348]
  * debian/create-indep-xbooks: recompress xbooks one directory at a time,
    for space efficiency during build.
  * debian/xbase-configure: Only add new local entry if we can't find a
    plausible (not exact) one there.
  * config/cf/Project.tmpl (MakeXkbDir): add clean rule for .dir files so
    they don't leak into source diffs.

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Tue, 6 May 1997 02:11:37 -0400

xfree86 (3.2-4) frozen unstable; urgency=low

  * first release as new maintainer.
  * (create-arch-xbase): put debian.README in /usr/doc/X11 too [#5932]
  * (programs/xrdb/xrdb.c): buffer overrun patches from Richard Kettlewell
    <richard@greenend.org.uk> [#8958] modified to match the format strings
    better.

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Sun, 27 Apr 1997 04:26:59 -0400

xfree86 (3.2-3) unstable; urgency=LOW

  * recompiled to fix statically linked libc problem

 -- Stephen Early <sde1000@debian.org>  Mon, 13 Jan 1997 23:27:55 +0000

xfree86 (3.2-2) unstable; urgency=LOW

  * xmanpages now only recommends xlib6-dev

  * recompiled with new libc; should fix xrdb problem

  * rpath removed for shared libraries

  * xlib6 puts /etc/X11R6/lib in /etc/ld.so.conf

 -- Stephen Early <sde1000@debian.org>  Sat, 4 Jan 1997 18:47:50 +0000

xfree86 (3.2-1) unstable; urgency=LOW

  * Source package name now lower case
    (may cause problems when put in archive?)

  * New package: xserver-i128
    (missed out of previous release by accident)

  * xlib6-dev now provides 'xdevel' for compatibility. New packages
    should depend on xlib6-dev if necessary.

 -- Stephen Early <sde1000@debian.org>  Fri, 22 Nov 1996 00:17:39 +0000

XFree86 (3.2-0) unstable; urgency=LOW

  * New upstream version
  * Converted to new source package format
  * xlib package renamed to xlib6
  * xdevel package renamed to xlib6-dev
  * New package: xbooks
  * New binary package: xserver-s3v
  * New binary package: xext

  * New X library dependency policy:
    new X packages should depend on xlib6 >=3.2-0
  * xlib6 no longer provides xR6shlib or xlibraries
  * libraries now built with -rpath-link $(BUILDLIBDIR)
    (will take advice about this)

  * xbase no longer provides X11R6 or xbaseR6 virtual packages

  * xserver-* no longer have extensions compiled in by default.
    Instead the extensions are provided as dymanically linked
    libraries in the xext package.

  * xserver-vga16 includes the XF86Setup program for graphical
    configuration of X servers

  * new xbooks package is extremely large; feedback on whether
    it is useful is required

  * parts of the current buglist have been cleared. More bugfixes
    to follow in version 3.2-1

 -- Stephen Early <sde1000@debian.org>  Sun, 10 Nov 1996 00:54:46 +0000

Local variables:
mode: debian-changelog
End:
